Skip to navigation

Update Location

Update Location.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

location_idstringRequired
ID of the Location.

Request

This endpoint expects an object.
archiveReasonstringOptional
archivedbooleanOptional
barcodestringOptional
namestringOptional
parentStorageIdstring or nullOptional
schemaFieldsmap from strings to objectsOptional

Response

OK
__typenamestringOptional
creatorobject or nullOptional
schemaFieldslist of objects or nullOptional
allowNonLocationChildrenbooleanOptional
Whether this location can store plates, boxes, and containers.
allowedInventorySchemaslist of objectsOptional
The plate, box, and container schemas that can be stored in this location. If allowsNonLocationChildren is true and this list is empty, all schemas are allowed.
archiveReasonstring or nullOptional
archivedbooleanOptional
availableCapacityinteger or nullOptional
The number of available positions in this location. Null if totalCapacity is not set.
barcodestring or nullOptional
createdAtstring or nullOptional
idstringOptional
modifiedAtstring or nullOptional
namestring or nullOptional
occupiedCapacityinteger or nullOptional
The number of plates, boxes, and containers currently in this location. Null if totalCapacity is not set.
parentStorageobject or nullOptional
schemaobject or nullOptional
totalCapacityinteger or nullOptional

The total capacity of this location (i.e. how many plates, boxes, and containers it can store). If null, capacity is not limited.

validationStatusenumOptional
Whether this location is passing all validation checks.
Allowed values:

Errors

400
Location Update Request Bad Request Error
403
Location Update Request Forbidden Error
404
Location Update Request Not Found Error
409
Location Update Request Conflict Error
429
Location Update Request Too Many Requests Error
500
Location Update Request Internal Server Error